package com.shcd.Scheduler;

import com.shcd.service.EmailSupervisionService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@EnableAsync
@Slf4j
@Component
public class SupervisionScheduler {
    @Autowired
    private EmailSupervisionService emailSupervisionService;
    @Scheduled(fixedRate = 3600000)
    public void emailSupervision(){
        try {
            emailSupervisionService.sendEmail();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
